/*
	$Id: WCString.c,v 1.1 2003/01/03 14:33:30 syl Exp $

	Copyright (C) 1998, 1999 Syllabub
	Maroontress Fast Software.
*/

#include <stdlib.h>

#include "WCString.h"

int
wstrlen(const wchar_t *str)
{
    int n;
    
    for (n = 0; *str; ++n)
	++str;
    return (n);
}

wchar_t *
wstrcpy(wchar_t *d, const wchar_t *s)
{
    wchar_t *p = d;

    while ((*d = *s) != 0) {
	++d;
	++s;
    }
    return (p);
}

wchar_t *
wstrncpy(wchar_t *d, const wchar_t *s, int n)
{
    wchar_t *p = d;

    while (n > 0 && *s != 0) {
	*d = *s;
	++d;
	++s;
	--n;
    }
    while (n > 0) {
	*d = 0;
	++d;
	--n;
    }
    return (p);
}

int
wstrcmp(const wchar_t *s, const wchar_t *t)
{
    while (*s != 0) {
	if (*s != *t)
	    return (*s - *t);
	++s;
	++t;
    }
    return (-*t);
}
